Show / Hide Table of Contents

# Class Scenario.ScenarioMetadata

Defines the metadata (Name and Description) for a Scenario

##### Inheritance

System.Object
Scenario.ScenarioMetadata

###### Namespace: UICatalog

###### Assembly: UICatalog.dll

##### Syntax

    public class ScenarioMetadata : System.Attribute

### Constructors

#### ScenarioMetadata(String, String)

##### Declaration

    public ScenarioMetadata(string Name, string Description)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | Name |
System.String | Description |

### Properties

#### Description

Scenario Description

##### Declaration

    public string Description { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Name

Scenario Name

##### Declaration

    public string Name { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

#### GetDescription(Type)

Static helper function to get the Scenario Description given a Type

##### Declaration

    public static string GetDescription(Type t)

##### Parameters

Type | Name | Description
--- | --- | ---
Type | t |

##### Returns

Type | Description
--- | ---
System.String |

#### GetName(Type)

Static helper function to get the Scenario Name given a Type

##### Declaration

    public static string GetName(Type t)

##### Parameters

Type | Name | Description
--- | --- | ---
Type | t |

##### Returns

Type | Description
--- | ---
System.String |